/**
 * 
 */
package commandingAgents;

import java.awt.Color;

import repast.simphony.valueLayer.ValueLayer;
import repast.simphony.visualizationOGL2D.ValueLayerStyleOGL;

/**
 * @author Woo-Seop Yun
 *
 */
public class TerrainValueLayerStyleOGL implements ValueLayerStyleOGL{
	
	private ValueLayer layer = null;
	
	@Override
	public void init(ValueLayer layer){
		this.layer = layer;
	}
	
	@Override
	public float getCellSize(){
		return 15.0f;
	}
	
	@Override
	public Color getColor(double... coordinates){
		double mountain = layer.get(coordinates);
		if(mountain == 0)
			return new Color(0xFFFFCC);
		else if(mountain == 1)
			return new Color(0x99C68E);
		else
			return new Color(0x617C58);
	}

}